CDM Tags
+ Parameters
Section:
Group CDM Tags. Base URL:https://instance_name.meiro.io/api/.
Tags [/cdm/tags{?limit,offset,order_by,order_dir,name_filter,load_full_structure}]
List All CDM Tags [GET]
-
Parameters
- limit (number, optional) - Limit of the number of records returned
- offset (number, optional) - Offset for the number of records returned
- order_by (string, optional) - Ordered column name
- order_dir (string, optional) - Ordering direction
- name_filter (string, optional) - Tags' name filter
- load_full_structure (number, optional) - Full data structure return flag
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
{
"tags": [
{
"id": 100,
"name": "example tag",
"modified": "2017-01-01 16:35:00",
"created": "2017-01-01 15:35:00"
}
],
"selection_settings": {
"limit": 20,
"offset": null,
"order_by": "id",
"order_dir": "ASC",
"name_filter": null
}
}Create a CDM Tag [POST]
Required feature (one of):
-
settings/cdp_entities
-
Parameters
- load_full_structure (number, optional) - Full data structure return flag
-
Attributes
- name:
example tag(string)
- name:
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 201 (application/json)
{
"tag": {
"id": 100,
"name": "example tag",
"modified": "2017-01-01 15:35:00",
"created": "2017-01-01 15:35:00"
}
}CDM Tag [/cdm/tags/{tag_id}{?load_full_structure}]
- Parameters
- load_full_structure (number, optional) - Full data structure return flag
Retrieve a CDM Tag [GET]
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
{
"tag": {
"id": 100,
"name": "example tag",
"modified": "2017-01-01 16:35:00",
"created": "2017-01-01 15:35:00"
}
}Modify a CDM Tag [PATCH]
Required feature (one of):
-
settings/cdp_entities
-
Attributes
- name:
example tag(string) - optional
- name:
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
{
"tag": {
"id": 100,
"name": "example tag",
"modified": "2017-01-01 16:35:00",
"created": "2017-01-01 15:35:00"
}
}Delete a Tag [DELETE]
Required feature (one of):
-
settings/cdp_entities
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
{
"message": "OK"
}